For the complete documentation index, see llms.txt. This page is also available as Markdown.

Actions

Buscar ações de configuração de tela nativa (Parceiro)

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200

OK

application/json
get/portals/partners/actions
GET /api/b2b/portals/partners/actions HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "financial_actions": [
    {
      "action": "PRINT_BILL",
      "enable": true
    }
  ],
  "my_orders_actions": [
    {
      "action": "CONFIRM_ORDER",
      "enable": true
    }
  ]
}

Atualizar ações de configuração de tela nativa (Parceiro)

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
Respostas
200

OK

application/json
put/portals/partners/actions
PUT /api/b2b/portals/partners/actions HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 124

{
  "financial_actions": [
    {
      "action": "PRINT_BILL",
      "enable": true
    }
  ],
  "my_orders_actions": [
    {
      "action": "CONFIRM_ORDER",
      "enable": true
    }
  ]
}
{
  "financial_actions": [
    {
      "action": "PRINT_BILL",
      "enable": true
    }
  ],
  "my_orders_actions": [
    {
      "action": "CONFIRM_ORDER",
      "enable": true
    }
  ]
}